/* MSF60 decoder example script
 *
 * This script runs either the MSF60 receiver or the DCF77 receiver
 * and prints the time of the day after a good reception. This script
 * is an example of usage for the radio time signal include files
 * (dcf77rx and msf60rx). It can easily be adapted to WWVB, too.
 *
 * For this example to run, an EM2S module (or similar) must be
 * branched to I/O pins 14 and 15. See the application note for
 * details:
 *    http://www.compuphase.com/mp3/h0420_timecode.htm
 */

#include "msf60rx"  /* change this to "dcf77rx" for the DCF77 receiver */

main()
    {
    clock_init .power_pin = 15, .data_pin = 14

    /* initialize the display, for printing the time of the day */
    console 16, 1
    print "Init"
    }


@input(pin, status)
    {
    if (clock_decode(pin, status))
        {
        new year, month, day, hour, minute, second
        getdate year, month, day
        gettime hour, minute, second
        clrscr
        printf "%d-%d-%d %d:%d:%d", year, month, day, hour, minute, second
        }
    }
